// volcano .shader file
// 


textures/volcano/lava3
{
	qer_editorimage textures/volcano/lava_01.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1000
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256
	
	//cull disable
	nofog
	deformVertexes wave 64 sin 0 10 0 .3	// the chop

	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/volcano/lava_01.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}	
{ 
		map textures/volcano/lava_02.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity		
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

textures/volcano/sludge

		
	{
		qer_editorimage textures/volcano/sludge_01.jpg
		qer_trans .5
		q3map_globaltexture
		q3map_surfacelight 1500
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/volcano/sludge_01.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
}	

//	END

textures/volcano/sludge_02 

		
	{
		qer_editorimage textures/volcano/sludge_01.jpg
		qer_trans .5
		q3map_globaltexture
		q3map_surfacelight 1500
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		
		{ 
			map textures/volcano/sludge_01.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
}
//	END

textures/volcano/lava4
{
	qer_editorimage textures/volcano/lava_01.jpg
	//qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 1000
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	tesssize 256
	
	//cull disable
	nofog
	

	waterfogvars ( 0.9 0.1 0.1 ) 128
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/volcano/lava_01.jpg
		rgbgen identity
		tcmod scale .4 .2
		tcmod scroll .0 .08
	}	
{ 
		map textures/volcano/lava_02.jpg
		blendFunc GL_dst_color GL_one
	rgbgen identity		
		tcmod scale -.6 .5
		tcmod scroll -.01 -.01
	}
}

textures/volcano/bubble
{
	qer_editorimage textures/volcano/bubble_n.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/volcano/bubble_n.tga
		blendFunc blend
		tcMod scroll .0 .75
		tcMod turb 1 0.05 0 1
	}
}

textures/volcano/bubble1
{
	qer_editorimage textures/volcano/bubble_n.tga
	deformVertexes autosprite2
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/volcano/bubble_n.tga
		blendFunc blend
		tcMod scroll .0 1
		tcMod turb 1 0.03 0 .5
	}
}
